=== debian/changelog ===
kbd-chooser (1.45) unstable; urgency=low

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Bosnian (bs.po) by Armin Besirovic
  * Welsh (cy.po) by Jonathan Price
  * Danish (da.po)
  * Esperanto (eo.po) by Felipe Castro
  * French (fr.po) by Christian Perrier
  * Croatian (hr.po) by Josip Rodin
  * Italian (it.po) by Milo Casagrande
  * Latvian (lv.po) by Peteris Krisjanis
  * Macedonian (mk.po) by Arangel Angov
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Serbian (sr.po) by Veselin Mijušković
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Otavio Salvador <otavio@debian.org>  Sun, 21 Sep 2008 19:07:56 -0300

kbd-chooser (1.44) unstable; urgency=low

  [ Frans Pop ]
  * Remove incorrect space before ellipses.
  * Remove Alastair McKinstry and Matt Kraai as Uploaders with many thanks for
    their past contributions.
  * Avoid locale errors from perl from post-base-installer script.

  [ Jérémy Bobbio ]
  * Fix mispositioned arguments in the PLAIN rule in loadkeys.
  * Add support for parsing "CapsShift" in keymaps.  (Closes: #490611)
  * Update symbol tables to the one found in kbd 1.14.1.
  * Merge unicode handling from kbd 1.14.1.
  * Work around DirectFB setting the keyboard mode to K_MEDIUMRAW, thus
    preventing full unicode keymaps to be installed when using the graphical
    installer.  (Closes: #490610)

  [ Updated translations ]
  * Amharic (am.po) by Tegegne Tefera
  * Arabic (ar.po) by Ossama M. Khayat
  * Belarusian (be.po) by Pavel Piatruk
  * Bulgarian (bg.po) by Damyan Ivanov
  * Esperanto (eo.po) by Serge Leblanc
  * Basque (eu.po) by Iñaki Larrañaga Murgoitio
  * Finnish (fi.po) by Esko Arajärvi
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Gujarati (gu.po) by Kartik Mistry
  * Hungarian (hu.po) by SZERVÁC Attila
  * Italian (it.po) by Milo Casagrande
  * Korean (ko.po) by Changwoo Ryu
  * Malayalam (ml.po) by Praveen|പ്രവീണ്‍ A|എ
  * Marathi (mr.po) by Sampada
  * Dutch (nl.po) by Frans Pop
  * Panjabi (pa.po) by Amanpreet Singh Alam
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (pt.po) by Miguel Figueiredo
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Ivan Masár
  * Swedish (sv.po) by Daniel Nylander
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Turkish (tr.po) by Mert Dirik

 -- Jérémy Bobbio <lunar@debian.org>  Wed, 23 Jul 2008 21:22:08 +0000

kbd-chooser (1.43) unstable; urgency=low

  [ Updated translations ]
  * Finnish (fi.po) by Esko Arajärvi
  * Hindi (hi.po) by Kumar Appaiah
  * Indonesian (id.po) by Arief S Fitrianto
  * Latvian (lv.po) by Viesturs Zarins
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Otavio Salvador <otavio@debian.org>  Fri, 15 Feb 2008 08:18:38 -0200

kbd-chooser (1.42) unstable; urgency=low

  [ Updated translations ]
  * Kurdish (ku.po) by Erdal Ronahi
  * Amharic (am.po) by tegegne tefera

 -- Christian Perrier <bubulle@debian.org>  Thu, 10 Jan 2008 07:25:45 +0100

kbd-chooser (1.41) unstable; urgency=low

  * Fix keymap/policy question preseeding quoting and set question type.
    Because of this syntax error console-data wasn't being installed in
    /target.

 -- Otavio Salvador <otavio@debian.org>  Fri, 28 Dec 2007 18:33:30 -0200

kbd-chooser (1.40) unstable; urgency=low

  * Implement better solution as discussed on the debian-boot list to avoid
    console-data displaying its keymap/policy question by setting its "seen"
    flag. Reverts the change in 1.39.

  [ Updated translations ]
  * Korean (ko.po) by Changwoo Ryu

 -- Frans Pop <fjp@debian.org>  Wed, 19 Dec 2007 09:40:40 +0100

kbd-chooser (1.39) unstable; urgency=low

  * After recent changes in apt-install, we need to tell console-data not to
    display its keymap/policy question when it is being installed during a D-I
    installation. console-data (>= 2:1.04-2) will check for the existence of
    the file /tmp/debian-installer/keymap-policy-default to suppress the
    question; create that file in /target before calling apt-install.
    The temporary directory will be removed during finish-install (95umount).
    Closes: #456029.

  [ Updated translations ]
  * Belarusian (be.po) by Hleb Rubanau
  * Malayalam (ml.po) by Praveen|???????? A|?
  * Panjabi (pa.po) by A S Alam

 -- Frans Pop <fjp@debian.org>  Sat, 15 Dec 2007 18:27:01 +0100

kbd-chooser (1.38) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Clean up devfs-style device names in getfd.c.

  [ Updated translations ]
  * Italian (it.po) by Stefano Canepa
  
 -- Otavio Salvador <otavio@debian.org>  Tue, 11 Sep 2007 09:33:20 -0300

kbd-chooser (1.37) unstable; urgency=high

  * Work around !i386 FTBFS caused by #434040, by manually including
    features.h before kernel headers.
  * High priority since it's breaking the d-i dailys.

 -- Joey Hess <joeyh@debian.org>  Fri, 24 Aug 2007 01:30:40 -0400

kbd-chooser (1.36) unstable; urgency=low

  [ Colin Watson ]
  * Exec kbd-chooser from the postinst to save a process.

  [ Otavio Salvador ]
  * Provides keyboard-setup virtual package.

 -- Christian Perrier <bubulle@debian.org>  Sat, 11 Aug 2007 08:42:25 +0200

kbd-chooser (1.35) unstable; urgency=low

  * Multiply menu-item-numbers by 100

  [ Updated translations ]
  * Esperanto (eo.po) by Serge Leblanc

 -- Joey Hess <joeyh@debian.org>  Tue, 10 Apr 2007 14:36:51 -0400
