=== debian/changelog ===
kbd-chooser (1.60) unstable; urgency=low

  [ Updated translations ]
  * Lao (lo.po) by Anousak Souphavanh
  * Northern Sami (se.po) by Børre Gaup
  * Sinhala (si.po) by Danishka Navin

 -- Otavio Salvador <otavio@debian.org>  Fri, 24 Dec 2010 19:55:58 -0200

kbd-chooser (1.59) unstable; urgency=low

  [ Updated translations ]
  * Asturian (ast.po) by maacub
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bengali (bn.po) by Israt Jahan
  * Bosnian (bs.po) by Armin Beširović
  * Danish (da.po) by Jacob Sparre Andersen
  * Icelandic (is.po) by Sveinn í Felli
  * Telugu (te.po) by Arjuna Rao Chavala

 -- Otavio Salvador <otavio@debian.org>  Fri, 12 Nov 2010 16:07:33 -0200

kbd-chooser (1.58) unstable; urgency=low

  [ Updated translations ]
  * Belarusian (be.po) by Viktar Siarheichyk
  * Danish (da.po) by Jacob Sparre Andersen
  * Persian (fa.po) by acathur
  * Central Khmer (km.po) by Khoem Sokhem
  * Kurdish (ku.po) by Erdal Ronahi
  * Macedonian (mk.po) by Arangel Angov
  * Nepali (ne.po)

 -- Christian Perrier <bubulle@debian.org>  Sun, 11 Jul 2010 13:56:44 +0200

kbd-chooser (1.57) unstable; urgency=low

  * Enable USB keyboards on sh4.
  * Enable AT, USB and SPARC keyboards on sparc64.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 12 May 2010 22:27:57 +0200

kbd-chooser (1.56) unstable; urgency=low

  * Add sh4 and sparc64 to the list of supported architectures.
    Closes: #547995.
  
  [ Updated translations ]
  * Asturian (ast.po) by astur
  * German (de.po) by Holger Wansing
  * Hebrew (he.po) by Lior Kaplan
  * Norwegian Nynorsk (nn.po) by Eirik U. Birkeland

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 11 May 2010 08:45:43 +0200

kbd-chooser (1.55) unstable; urgency=low

  * Update isinstallable script for new auto-install framework.
    Requires preseed (>= 1.45).

  [ Updated translations ]
  * Danish (da.po) by Anders Jenbo

 -- Frans Pop <fjp@debian.org>  Wed, 24 Mar 2010 16:41:11 +0100

kbd-chooser (1.54) unstable; urgency=low

  * Ensure that kbd gets installed together with console-setup. Currently it
    is only recommended.
  * Install keyboard-configuration instead of console-setup on kfreebsd and
    hurd as those arches don't have kbd.

  [ Updated translations ]
  * Belarusian (be.po) by Pavel Piatruk
  * Bengali (bn.po) by Israt Jahan
  * German (de.po) by Holger Wansing
  * Slovenian (sl.po) by Vanja Cvelbar
  * Simplified Chinese (zh_CN.po) by 苏运强

 -- Frans Pop <fjp@debian.org>  Thu, 18 Mar 2010 22:39:29 +0100

kbd-chooser (1.53) unstable; urgency=low

  * If the user selected "no keyboard" or "skip config", force keymap for
    keyboard-configuration to "us". This is the only real option currently as
    keyboard-configuration does not have a "keep kernel keymap" option.
    Closes: #559878.

  [ Updated translations ]
  * Galician (gl.po) by Marce Villarino

 -- Frans Pop <fjp@debian.org>  Tue, 08 Dec 2009 14:44:43 +0100

kbd-chooser (1.52) unstable; urgency=low

  * It's not actually necessary to set seen flags for keyboard-configuration.
    Now that the selected keymap gets propagated to the target environment,
    the package asks the question at medium instead of critical priority, and
    thus the question does not get displayed.
  * Standardize installation of run-parts directories at build time.

 -- Frans Pop <fjp@debian.org>  Wed, 18 Nov 2009 23:42:54 +0100

kbd-chooser (1.51) unstable; urgency=low

  * There's no need to set debian-installer/locale in the target environment
    before installing console-setup as it can get the correct locale from
    the LC_* environment variables.

 -- Frans Pop <fjp@debian.org>  Wed, 18 Nov 2009 15:18:29 +0100

kbd-chooser (1.50) unstable; urgency=low

  * Avoid display of keyboard-configuration debconf dialog when it is
    installed during post-base-installer.d by setting the seen flag.
  * Make sure debian-installer debconf variables needed by console-setup
    are available in the target environment before installing the package.

  [ Updated translations ]
  * Swedish (sv.po) by Daniel Nylander

 -- Frans Pop <fjp@debian.org>  Mon, 16 Nov 2009 23:44:52 +0100

kbd-chooser (1.49) unstable; urgency=low

  [ Frans Pop ]
  * Makefile: change to using dpkg-architecture.
  * Remove no longer needed Lintian override for missing Standards-Version
    field.
  * Also try /sys/kernel/debug/usb/devices when detecting USB keyboards. As of
    2.6.31 the file /proc/bus/usb/devices may no longer exist. Closes: #534412.

  [ Colin Watson ]
  * Upgrade to debhelper v7.

  [ Updated translations ]
  * Asturian (ast.po) by Marcos Antonio Alvarez Costales
  * Estonian (et.po) by Mattias Põldaru
  * Italian (it.po) by Milo Casagrande
  * Korean (ko.po) by Changwoo Ryu

 -- Frans Pop <fjp@debian.org>  Tue, 27 Oct 2009 22:15:12 +0100

kbd-chooser (1.48) unstable; urgency=low

  * Install console-setup instead of kbd and console-data but only in case
    we're not in a serial console. (Closes: #537872)

 -- Otavio Salvador <otavio@ossystems.com.br>  Wed, 22 Jul 2009 07:48:23 -0300

kbd-chooser (1.47) unstable; urgency=low

  [ Frans Pop ]
  * Drop support for the ppc64 architecture.

  [ Christian Perrier ]
  * Bump debhelper compatibility level to 6

  [ Updated translations ]
  * Bengali (bn.po) by Md. Rezwan Shahid
  * Estonian (et.po) by Mattias Põldaru

 -- Christian Perrier <bubulle@debian.org>  Sun, 14 Jun 2009 17:37:55 +0200

kbd-chooser (1.46) unstable; urgency=low

  [ Philip Hands ]
  * check in isinstallable for the presence of /var/run/delay_choosers
    which will have been set by localchooser.isinstallable if required,
    and will be reset by the first preseed to succeed.

  [ Colin Watson ]
  * Install kbd rather than console-tools.
  * Don't ignore 'make clean' errors.

  [ Frans Pop ]
  * Remove myself as uploader.

  [ Updated translations ]
  * Asturian (ast.po) by Marcos Alvarez Costales
  * Basque (eu.po) by Piarres Beobide
  * Galician (gl.po) by Marce Villarino
  * Hindi (hi.po) by Kumar Appaiah

