=== debian/control ===
Source: kbd-chooser
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Christian Perrier <bubulle@debian.org>, Colin Watson <cjwatson@debian.org>
Build-Depends: debhelper (>= 7.3.10), libdebian-installer4-dev (>= 0.41), po-debconf (>= 0.5.0), flex | flex-old , bison, libdebconfclient0-dev (>= 0.49)
Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/kbd-chooser

Package: kbd-chooser
Architecture: i386 ia64 hppa alpha sparc mips mipsel arm armel armeb m68k powerpc amd64 sh4 sparc64
XB-Installer-Menu-Item: 1200
Depends: ${shlibs:Depends}, ${misc:Depends}, console-keymaps
Provides: keyboard-setup
Description: Detect a keyboard and select layout
XC-Package-Type: udeb
