## kbd-chooser 1.62

=== debian/changelog ===
kbd-chooser (1.62) unstable; urgency=low

  [ Hector Oron ]
  * Add AT and USB keyboard support for armhf.

  [ Jurij Smakov ]
  * Check for kernels higher or equal than 2.6 instead of equal to
    2.6 in usb-kbd.c and sparc-kbd.c to make sure that logic remains
    the same for 3.0 kernels.

 -- Jurij Smakov <jurij@debian.org>  Sun, 21 Aug 2011 18:19:04 +0100

kbd-chooser (1.61) unstable; urgency=low

  [ Konstantinos Margaritis ]
  * Added armhf in arch field. Closes: #604688.

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov

 -- Hector Oron <zumbi@debian.org>  Thu, 21 Apr 2011 13:38:13 +0100
