## kbd-chooser 1.65

=== Makefile ===
--- 
+++ 
@@ -68,6 +68,10 @@
 CFLAGS +=  -DAT_KBD -DUSB_KBD 
 KEYBOARDS := at usb
 endif
+ifeq ($(DEB_HOST_ARCH),armhf)
+CFLAGS +=  -DAT_KBD -DUSB_KBD 
+KEYBOARDS := at usb
+endif
 ifeq ($(DEB_HOST_ARCH),m68k)
 CFLAGS += -DAMIGA_KBD -DATARI_KBD -DMAC_KBD -DAT_KBD -DSPARC_KBD -D__m68k__
 KEYBOARDS := amiga atari mac at sparc
