=== debian/control ===
--- 
+++ 
@@ -13,4 +13,4 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, console-keymaps
 Provides: keyboard-setup
 Description: Detect a keyboard and select layout
-XC-Package-Type: udeb
+Package-Type: udeb
