## kbd-chooser 1.68

=== Makefile ===
--- 
+++ 
@@ -85,6 +85,14 @@
 CFLAGS += -DUSB_KBD 
 KEYBOARDS := usb
 endif
+ifeq ($(DEB_HOST_ARCH),arm64)
+CFLAGS +=  -DAT_KBD -DUSB_KBD 
+KEYBOARDS := at usb
+endif
+ifeq ($(DEB_HOST_ARCH),ppc64el)
+CFLAGS +=  -DAT_KBD -DUSB_KBD 
+KEYBOARDS := at usb
+endif
 
 TEMPLATES := debian/kbd-chooser.templates-in $(patsubst %, debian/keyboard-%.templates, $(KEYBOARDS))
 OBJS += $(patsubst %, %-kbd.o, $(KEYBOARDS))
