=== debian/changelog ===
kbd-chooser (1.68) unstable; urgency=medium

  * Add support for the arm64 and ppc64el architectures

 -- Steve McIntyre <93sam@debian.org>  Sun, 24 Aug 2014 16:55:04 -0700

kbd-chooser (1.67) unstable; urgency=low

  [ Dmitrijs Ledkovs ]
  * Set debian source format to '3.0 (native)'.
  * Bump debhelper compat level to 9.
  * Set Vcs-* to canonical format.

  [ Colin Watson ]
  * Ignore umount failures in usb_parse_proc.
  * Explicitly ignore dup failures in usb_parse_proc; we can't usefully do
    much in response since if those fail we have no stderr.
  * Handle fgets failures.

 -- Christian Perrier <bubulle@debian.org>  Sat, 13 Jul 2013 13:56:58 +0200

kbd-chooser (1.66) unstable; urgency=low

  [ Colin Watson ]
  * Fix various set/defined-but-not-used compiler warnings.

  [ Updated translations ]
  * Croatian (hr.po) by Tomislav Krznar

 -- Christian Perrier <bubulle@debian.org>  Fri, 17 May 2013 11:39:45 +0200
