=== debian/control ===
Source: kbd-chooser
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Christian Perrier <bubulle@debian.org>, Colin Watson <cjwatson@debian.org>, Steve McIntyre <93sam@debian.org>
Build-Depends: debhelper (>= 9), libdebian-installer4-dev (>= 0.41), po-debconf (>= 0.5.0), flex | flex-old , bison, libdebconfclient0-dev (>= 0.49)
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/kbd-chooser.git
Vcs-Git: git://anonscm.debian.org/d-i/kbd-chooser.git

Package: kbd-chooser
Architecture: i386 ia64 hppa alpha sparc mips mipsel arm armel armeb armhf m68k powerpc amd64 sh4 sparc64 arm64 ppc64el
XB-Installer-Menu-Item: 1200
Depends: ${shlibs:Depends}, ${misc:Depends}, console-keymaps
Provides: keyboard-setup
Description: Detect a keyboard and select layout
Package-Type: udeb
