## kbd-chooser 1.70

=== debian/changelog ===
kbd-chooser (1.70) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Add mips64el support.
  * Remove DEC keyboard support.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 22 May 2016 15:25:24 +0200

kbd-chooser (1.69) unstable; urgency=medium

  [ Colin Watson ]
  * Use HTTPS for Vcs-* URLs, and link to cgit rather than gitweb.

 -- Christian Perrier <bubulle@debian.org>  Tue, 02 Feb 2016 05:52:51 +0100
