## kbd-chooser 1.71

=== Makefile ===
--- 
+++ 
@@ -41,8 +41,12 @@
 KEYBOARDS := at usb
 endif
 ifeq ($(DEB_HOST_ARCH),mipsel)
-CFLAGS += -DAT_KBD -DUSB_KBD -DDEC_KBD
-KEYBOARDS := at usb dec
+CFLAGS += -DAT_KBD -DUSB_KBD
+KEYBOARDS := at usb
+endif
+ifeq ($(DEB_HOST_ARCH),mips64el)
+CFLAGS += -DAT_KBD -DUSB_KBD
+KEYBOARDS := at usb
 endif
 ifeq ($(DEB_HOST_ARCH),sparc)
 CFLAGS += -DAT_KBD -DSPARC_KBD -DUSB_KBD
