=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Christian Perrier <bubulle@debian.org>, Colin Watson <cjwatson@debian.org>, Steve McIntyre <93sam@debian.org>
 Build-Depends: debhelper (>= 9), libdebian-installer4-dev (>= 0.41), po-debconf (>= 0.5.0), flex | flex-old , bison, libdebconfclient0-dev (>= 0.49)
-Vcs-Browser: https://anonscm.debian.org/cgit/d-i/kbd-chooser.git
-Vcs-Git: https://anonscm.debian.org/git/d-i/kbd-chooser.git
+Vcs-Browser: https://salsa.debian.org/installer-team/kbd-chooser
+Vcs-Git: https://salsa.debian.org/installer-team/kbd-chooser.git
 
 Package: kbd-chooser
 Architecture: i386 ia64 hppa alpha sparc mips mipsel mips64el arm armel armeb armhf m68k powerpc amd64 sh4 sparc64 arm64 ppc64el
